petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViennaCLFlag

indicates which memory (CPU, GPU, or none contains valid vector

### Synopsis

    typedef enum {PETSC_VIENNACL_UNALLOCATED,PETSC_VIENNACL_GPU,PETSC_VIENNACL_CPU,PETSC_VIENNACL_BOTH} PetscViennaCLFlag;

PETSC_VIENNACL_UNALLOCATED - no memory contains valid matrix entries; NEVER used for vectors Many brPETSC_VIENNACL_GPU - GPU has valid vector/matrix entries Many brPETSC_VIENNACL_CPU - CPU has valid vector/matrix entries Many brPETSC_VIENNACL_BOTH - Both GPU and CPU have valid vector/matrix entries and they match Many br

Many br

Level:developer
Location:include/petsc/private/petscimpl.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages